Skip to main content
GET
List test events

Path Parameters

projectId
string<uuid>
required

ID of the project to list test events for

Query Parameters

documentId
string<uuid>

Filter test events by document ID

Response

200 - application/json

List of test events matching the criteria

id
string<uuid>
required

Unique identifier of the test event

name
string
required

Name of the test event

context
string
required

JSON context data for the test event

category
enum<string>
required

Category of the test event (private, shared, or global)

Available options:
private,
shared,
global
projectId
string<uuid>
required

ID of the project this test event belongs to

userId
string<uuid> | null

ID of the user who owns this test event (for private events)

documentId
string<uuid> | null

ID of the document this test event is associated with